'use strict';

var Messages = require('../lib/messages');

describe('Messages', function () {
  describe('.required()', function () {
    it('should return the correct message', function () {
      Messages.required('a').should.equal('a is required.');
    });
  });

  describe('.type()', function () {
    it('should return the correct message', function () {
      Messages.type('a', {}, 'string').should.equal('a must be of type string.');
    });
  });

  describe('.match()', function () {
    it('should return the correct message', function () {
      Messages.match('a', {}, /abc/).should.equal('a must match /abc/.');
    });
  });

  describe('.length()', function () {
    it('should return the correct message', function () {
      Messages.length('a', {}, { min: 2 }).should.equal('a must have a minimum length of 2.');
      Messages.length('a', {}, { max: 2 }).should.equal('a must have a maximum length of 2.');
      Messages.length('a', {}, { min: 2, max: 4 }).should.equal('a must have a length between 2 and 4.');
    });
  });

  describe('.enum()', function () {
    it('should return true if given value is included in given array', function () {
      Messages.enum('a', {}, ['b', 'c']).should.equal('a must be either b or c.');
    });
  });
});